Get the default notification categories
GET /api/notification-categories/defaults. Get the default notification categories. Headless LMS Notifications API reference.
Requires one of notification_categories:read, communities:read. The default org list (scope=org, which needs notification_categories:read) or community list (scope=community, which also takes communities:read on any community), offering only the configured channels.
Query Parameters
Value in
- "org"
- "community"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notification-categories/defaults?scope=org"{ "categories": [ { "key": "string", "covers": [ { "type": "string", "reasons": [ "subject" ] } ], "channels": { "property1": { "default": true, "locked": true }, "property2": { "default": true, "locked": true } }, "perSpace": true, "spaceDefaults": { "property1": { "property1": true, "property2": true }, "property2": { "property1": true, "property2": true } } } ]}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Replace the organization's notification categories PUT
PUT /api/notification-categories. Replace the organization's notification categories. Headless LMS Notifications API reference.
Get a community's notification categories GET
GET /api/communities/{communityId}/notification-categories. Get a community's notification categories. Headless LMS Notifications API reference.